/// <reference types="cypress" />
describe('Client fiscal data', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('#/customer/1107/fiscal-data', {
            timeout: 5000,
        });
    });
    it('Should change required value when change customer', () => {
        cy.get('.q-card').should('be.visible');
        cy.dataCy('sageTaxTypeFk').filter('input').should('not.have.attr', 'required');
        cy.get('#searchbar input').clear();
        cy.get('#searchbar input').type('1{enter}');
        cy.get('.q-item > .q-item__label').should('have.text', ' #1');
        cy.dataCy('sageTaxTypeFk').filter('input').should('have.attr', 'required');
    });
});
